<form theme="dark" version="1.1">
  <label>ITSI Audit Logs (Deprecated)</label>
  <description>A view of audit logs concerning the access, deletion, and modification of ITOA objects.</description>
  <fieldset submitButton="false">
    <input type="time" token="field1">
      <label></label>
      <default>
        <earliest>-24h@h</earliest>
        <latest>now</latest>
      </default>
    </input>
  </fieldset>
  <row>
    <panel>
      <table>
        <search>
          <query>index=_internal sourcetype=itsi_internal_log sub_component=itoa_storage | eval time = strftime(_time, "%m/%d/%Y %H:%M:%S %p") | table user, method, objecttype, filter, time | rename user as User, method as Method, objecttype as "Object Type", filter as "Filter/Object IDs", time as Timestamp</query>
          <earliest>-24h@h</earliest>
          <latest>now</latest>
          <sampleRatio>1</sampleRatio>
        </search>
        <option name="count">20</option>
        <option name="dataOverlayMode">none</option>
        <option name="drilldown">none</option>
        <option name="percentagesRow">false</option>
        <option name="rowNumbers">false</option>
        <option name="totalsRow">false</option>
        <option name="wrap">true</option>
        <format type="color" field="Method">
          <colorPalette type="map">{"get_all":#F8BE34,"delete_all":#DC4E41,"edit":#006D9C,"get":#53A051,"batch_save":#FF66CC}</colorPalette>
        </format>
      </table>
    </panel>
  </row>
</form>
